Tutorial is loading...

Tutorial is loading...

Tutorial is loading...

Tutorial is loading...

# | User | Rating |
---|---|---|

1 | tourist | 3619 |

2 | Um_nik | 3493 |

3 | ecnerwala | 3446 |

4 | Radewoosh | 3383 |

5 | ksun48 | 3357 |

6 | yosupo | 3324 |

7 | Benq | 3299 |

8 | maroonrk | 3243 |

9 | apiadu | 3238 |

10 | Petr | 3217 |

# | User | Contrib. |
---|---|---|

1 | Errichto | 207 |

2 | Monogon | 199 |

3 | SecondThread | 195 |

4 | vovuh | 189 |

5 | antontrygubO_o | 186 |

5 | Um_nik | 186 |

7 | pikmike | 184 |

8 | Ashishgup | 182 |

9 | pashka | 169 |

10 | Radewoosh | 167 |

Tutorial is loading...

Tutorial is loading...

Tutorial is loading...

Tutorial is loading...

↑

↓

Codeforces (c) Copyright 2010-2020 Mike Mirzayanov

The only programming contests Web 2.0 platform

Server time: Oct/27/2020 00:14:13 (f3).

Desktop version, switch to mobile version.

Supported by

User lists

Name |
---|

Where can we get the questions in english?

Click

Why can't I participate in this contests?

I think that

k= 0 is a special case in the problem D.What is test 49 for problem C???

I get WA on it, and couldn't understand what I did wrong, Can anyone please see my code:

25221347

Yes!!! I also asked about it and I got this message:

There is some bug within this algorithm. I find out some kind of data that can prove it wrong.

This version of code's answer is

DDDLLDDRDULUURRUUUBut the true answer should be

DDDLLDDRDRRUUUUUULArriving the position "b", obvoiusly the previous answer is not the good one.I have submited another code for this problem and got it accepted.

Thank you.

Hope it helped

Exactly :D

finally I knew whats wrong with my approach, thanks a lot man, I owe you one :)

BTW, the correct answer for this case is

DDDLLDDRDRRUUULUUUsince'L'is minimal than'U'Hope you update it soon enough, Thank you!I did the same reversal algorithm 26987013 and was so mad how it didn't pass although I'm choosing the minimal each step! Thanks so much for that lovely hack! :)

I am getting a WA on test 9 on this. Can someone please help?

This is my submission.

I recently solved the problem (C. Cycle In Maze), however when I remove the condition : if ( k % 2 != 0) { cout <<"IMPOSSIBLE"; return 0; } My solution gets TLE on test case 55, why is it so ? http://codeforces.com/contest/769/submission/39343924

Can anyone help me with time complexity of Editorial solution C?

How to solve D using Meet in the Middle? Thank You.

Can anybody please help me out with (C .Cycle in the Maze ),why using dfs i'm getting runtime error on test 8(stack oveflow error).https://codeforces.com/contest/769/submission/67518247

I used BFS(kind of) in B. To those who want to look at it: 75487401

For problem C cycle in a maze. I would like to clarify a few points. First of all, a solution exists only when k is even because for every right step there has to be left step to neutralize it and for every up step there has to be down step to neutralize only then the initial and final positions could be same. 1)The use of 'D','L','R','U' is done in this order because it would result in the construction of the lexicographically minimal cyclic path which is the requirement of our problem. 2)The second point is that the robot never goes out of the reach of its initial point ch[x][y]='X' and therefore there is always a chance of returning back to the initial position. 3)Suppose currently robot is on the position a since dis[a]<=k so it can go back to the initial position back from here using the same path through which it came as there are no restrictions in travelling the same cell multiple times(even the starting one). My submission https://codeforces.com/contest/769/submission/94294357